#
# spec file for package python3-django-appconf
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-django-appconf
Version:        1.0.1
Release:        2.1
Url:            http://django-appconf.readthedocs.org/
Summary:        A Helper Class for Handling Configuration Defaults of Packaged Apps
License:        BSD-3-Clause
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/d/django-appconf/django-appconf-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python3
BuildRequires:  python3-devel
BuildRequires:  python3-distribute
BuildRequires:  python3-versiontools
Requires:       python3
Requires:       python3-six
BuildArch:      noarch

%description
A helper class for handling configuration defaults of packaged Django apps
gracefully.


%prep
%setup -q -n django-appconf-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS LICENSE README.rst docs
%{python3_sitelib}/*

%changelog
* Tue Feb 17 2015 arun@gmx.de
- specfile:
  * update copyright year
- update to version 1.0.1:
  * Dropped support of Python 2.5.
  * Added support for Django 1.7 and 1.8.
  * Modernized test setup.
* Sun Apr 14 2013 toddrme2178@gmail.com
- Remove pre_checkin.sh since the two versions are not the same
- Remove unneeded macros
- Added python buildrequires and requires since the package does not
  work properly without them on openSUSE <= 12.2
* Fri Apr 12 2013 p.drouand@gmail.com
- Initial python3 support
* Tue Feb 26 2013 vuntz@opensuse.org
- Add python-six Requires: since version 0.6, the six module is
  used.
* Fri Feb  1 2013 oliver.bengs@opensuse.org
- update to 0.6
  * Added required attribute to Meta to specify which settings are required to set.
  * Moved to Travis for the tests: http://travis-ci.org/jezdez/django-appconf
  * Stopped support for Django 1.2.X.
  * Introduced support for Python >= 3.2.
* Tue Oct  9 2012 oliver.bengs@opensuse.org
- update to 0.5
  * Install as a package instead of a module.
  * Refactored tests to use django-jenkins for enn.io‘s CI server.
* Fri Jan 20 2012 saschpe@suse.de
- Minor cleanup:
  * Remove CFLAGS
  * BuildRequire python-distribute instead of setuptools
  * Reduced macro usage
* Fri Jan 20 2012 jfunk@funktronics.ca
- Initial release
